using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioSetoresDet
    {

        public void Insert(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();

                dalSetoresDet.Insert(objSetoresDet);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();

                dalSetoresDet.Update(objSetoresDet);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();

                dalSetoresDet.Update_1(objSetoresDet);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();

                dalSetoresDet.Delete(objSetoresDet);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeSetoresDet> Select(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            var lstSetoresDet = new List<entidadeSetoresDet>();
            DataTable dt = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();
                dt = dalSetoresDet.Select(objSetoresDet);

                foreach (DataRow dr in dt.Rows)
                {
                    objSetoresDet = new entidadeSetoresDet();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objSetoresDet.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["IDSETORES_GRU"]))
                        objSetoresDet.IDSETORES_GRU = Convert.ToInt32(dr["IDSETORES_GRU"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objSetoresDet.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objSetoresDet.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objSetoresDet.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstSetoresDet.Add(objSetoresDet);
                }
                return lstSetoresDet;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeSetoresDet> SelectMax(entidadeSetoresDet objSetoresDet)
        {
            dalSetoresDet dalSetoresDet = null;

            var lstSetoresDet = new List<entidadeSetoresDet>();
            DataTable dt = null;

            try
            {
                dalSetoresDet = new dalSetoresDet();
                dt = dalSetoresDet.SelectMax(objSetoresDet);

                foreach (DataRow dr in dt.Rows)
                {
                    objSetoresDet = new entidadeSetoresDet();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objSetoresDet.ID = Convert.ToInt32(dr["ID"]);


                    lstSetoresDet.Add(objSetoresDet);
                }
                return lstSetoresDet;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
